Smarty 2.6.8

di Gianni Tomasicchio - 21 marzo 2005

Rilasciata la versione 2.6.8 di Smarty che risolve una vulnerabilità attraverso la quale era possibile far eseguire codice PHP all'interno di un template anche con l'impostazione di sicurezza attivata. Qui è possibile scaricare la nuova versione.

ChangeLog:

  • remove e-modifier from regex_replace modifier (messju)
  • remove cast of object to array in foreach's from-attribute (messju)
  • add "null" as a valid token for {if} when security is enabled (messju)
  • add javascript_charcode encoding option to mailto function (monte)
  • add ids to html_radios labels (monte, menulis)
  • fix handling of strip-tags with non-default delimiters (Mark West, messju)
Effettua l'accesso o registrati per inserire un commento